local mod = ...


mod:registerAsset({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BUILDING_FUNCTION_SAOVICENTE_GATHER_HERBS",
    Name = "BUILDING_FUNCTION_SAOVICENTE_GATHER_HERBS_NAME",
    WorkerCapacity = 2,
    RelatedJob = { Job = "GATHERER", Behavior = "BEHAVIOR_GATHER" },
    ResourceListNeeded = {
        { Resource = "HERBS", Quantity = 1 },
    },
    ResourceProduced = {
        { Resource = "HERBS", Quantity = 1 },
    },
})

mod:overrideAsset({
    Id = "BUILDING_FUNCTION_GATHERING_HUT",
    Name = "BUILDING_FUNCTION_SAOVICENTE_GATHER_BERRIES_NAME",
})

mod:registerAsset({
    DataType = "BUILDING_FUNCTION_LIST",
    Id = "BUILDING_FUNCTION_LIST_SAOVICENTE_GATHER",
    AssetFunctionList = {
        "BUILDING_FUNCTION_GATHERING_HUT",
        "BUILDING_FUNCTION_SAOVICENTE_GATHER_HERBS",
    },
})

mod:registerAsset({
    DataType = "BUILDING_FUNCTION_ASSIGNABLE",
    Id = "BUILDING_FUNCTION_SAOVICENTE_GATHER",
    AuthorizedFunctionList = "BUILDING_FUNCTION_LIST_SAOVICENTE_GATHER",
})

mod:overrideAsset({
	DataType = "BUILDING_PART",
    Id = "BUILDING_PART_GATHERING_CAMP",
    AssetBuildingFunction = "BUILDING_FUNCTION_SAOVICENTE_GATHER",
})
